com.ihr.xbrl.pojo.etl

## Class ExtractionGroup

- java.lang.Object
- - com.ihr.xbrl.pojo.etl.ExtractionGroup

-     public class ExtractionGroup
      extends java.lang.Object

  This class represents a group of extractions. A group of extractions implements a user defined "table" and the database shall contain a view to allow the user to retrieve information from this user table
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtractionGroup()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Extraction>` | `getExtractions()` Gets the extractions.
    `java.lang.String` | `getGroupName()` Gets the group name.
    `java.lang.Long` | `getId()` Gets the id.
    `void` | `setExtractions(java.util.List<Extraction> extractions)` Sets the extractions.
    `void` | `setGroupName(java.lang.String groupName)` Sets the group name.
    `void` | `setId(java.lang.Long id)` Sets the id.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtractionGroup

          public ExtractionGroup()

  - ### Method Detail

    - #### getId

          public java.lang.Long getId()

      Gets the id.
      Returns:
        the id

    - #### setId

          public void setId(java.lang.Long id)

      Sets the id.
      Parameters:
        `id` - the id to set

    - #### getGroupName

          public java.lang.String getGroupName()

      Gets the group name.
      Returns:
        the groupName

    - #### setGroupName

          public void setGroupName(java.lang.String groupName)

      Sets the group name.
      Parameters:
        `groupName` - the groupName to set

    - #### getExtractions

          public java.util.List<Extraction> getExtractions()

      Gets the extractions.
      Returns:
        the extractions

    - #### setExtractions

          public void setExtractions(java.util.List<Extraction> extractions)

      Sets the extractions.
      Parameters:
        `extractions` - the extractions to set